Ticket #4142 (closed defect: fixed)

Opened 8 years ago

Last modified 8 years ago

2.12→2.14のUpgrade SQL, update SQL:update09 がMySQL4.0で動作しない

Reported by: pnetan Assigned to: kiwa
Priority: critical Milestone: OpenPNE2.14.1
Component: 指定しない Version: 2.14.x
Keywords: Cc:

Description (Last modified by kiwa)

■現象

MySQL4.0用のupgrade sql と update sql(09) に不要な「`」が入っているため、実行が中断される。

■原因

sqlファイル内に不要な「`」が入っている

■修正内容

不要な「`」を削除することで、正しく動作するようにした

■関連情報

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=21132より転記

現在、以下の誤りを見つけましたのでご報告いたします。

1.アップグレード用SQLの誤り

ファイル名:setup/sql/mysql40/upgrade/upgrade-2.12to2.14.sql
行:32

誤:ALTER TABLE c_member_pre ADD COLUMN is_sns_entry_confirm` tinyint(1) NOT NULL default '0';
正:ALTER TABLE c_member_pre ADD COLUMN is_sns_entry_confirm tinyint(1) NOT NULL default '0';

Change History

07/24/09 14:36:43 changed by pnetan

  • description changed.

07/24/09 14:51:47 changed by kiwa

  • keywords deleted.
  • summary changed from アップグレード用SQLの誤り to 2.12→2.14のUpgrade SQL, update SQL:update09 がMySQL4.0で動作しない.
  • milestone set to OpenPNE2.14.1.

なおしましょう

07/27/09 01:16:26 changed by kiwa

  • owner changed from nobody to kiwa.
  • status changed from new to assigned.

やります

07/27/09 01:29:25 changed by kiwa

  • keywords set to 確認中.

以下のリビジョンにて対応しました。ご確認ください。

07/30/09 12:02:19 changed by kiwa

  • priority changed from minor to critical.

08/12/09 04:14:53 changed by urabe

  • keywords changed from 確認中 to 差し戻し.

Description に変更内容を追記ください。 Description の「2.アップグレード説明ファイルの誤り」については別のチケットで対応だと思うので削除ください。 修正したソースは問題ありません。

08/12/09 11:39:39 changed by kiwa

  • keywords changed from 差し戻し to 確認中.
  • description changed.

descriptionを変更しました。

08/12/09 11:39:55 changed by kiwa

  • description changed.

08/12/09 11:40:40 changed by kiwa

  • description changed.

08/12/09 11:45:41 changed by urabe

  • keywords changed from 確認中 to テスト待ち.

確認しました。テスト待ちにします。

08/12/09 21:01:44 changed by kiwa

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

問題ないと判断してチケットを閉じます。